/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ExcepcionRedondo;
import com.rjconsultores.ventaboletos.entidad.Parada;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderExcepcionRedondo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ExcepcionRedondo excepcion = (ExcepcionRedondo) o;

        Listcell lc = new Listcell();

        lc = new Listcell(excepcion.getExcepcionredondoId().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(excepcion.getIndtipo());
        lc.setParent(lstm);

        Parada origem = excepcion.getOrigem();
        if (origem != null) {
            lc = new Listcell(origem.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = excepcion.getDestino();
        if (destino != null) {
            lc = new Listcell(destino.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", excepcion);
    }
}
